Package twisted :: Package web :: Module microdom :: Class Node

[show private | hide private]
[frames | no frames]

## Class Node

Known Subclasses:
  `CharacterData`, `Element`, `Document`, `EntityReference`

Method Summary
| `__init__(self, parentNode)`
| `__eq__(self, n)`
| `__hash__(self)`
| `appendChild(self, child)`
| `cloneNode(self, deep, parent)`
| `firstChild(self)`
| `hasChildNodes(self)`
| `insertBefore(self, new, ref)`
| `isEqualToNode(self, n)`
| `lastChild(self)`
| `removeChild(self, child)`
| `replaceChild(self, newChild, oldChild)`
| `toprettyxml(self, indent, addindent, newl, strip)`
| `toxml(self, indent, addindent, newl, strip)`
| `writexml(self, stream, indent, addindent, newl, strip)`

Class Variable Summary
`str` | `nodeName`

Class Variable Details

### nodeName

  Type:
    `str`
  Value:

        'Node'

Generated by Epydoc 1.1 on Thu May 8 13:19:07 2003 | http://epydoc.sf.net